These are chat archives for nightscout/intend-to-bolus

29th
Aug 2016
Mattyfleck
@Mattyfleck
Aug 29 2016 00:13
The 715 does not have sensor reading capabilities... Or at least not to my knowledge. That's a great approach, I didn't think about that. But I was hoping there would be another way, so I wouldn't have to carry around 2 pumps.
Paul Martin
@Spazholio
Aug 29 2016 00:20
Apparently, all of the watchfaces that people use for interacting with Nightscout use some kind of “Nightscout software framework”. At least, that’s what Pebble support is telling me. I have no idea if this was common knowledge, but I found it interesting.
Mattyfleck
@Mattyfleck
Aug 29 2016 00:20
Does everyone else use Dexcom? If not, what are some of the other user who have built an Openaps with a medtronic 715 done. Just curious. Thanks again for all the help and support.
Paul Martin
@Spazholio
Aug 29 2016 00:20
I use Dexcom, sorry. =/
Dana Lewis
@danamlewis
Aug 29 2016 00:35
@Mattyfleck most people get a newer (but still old) compatible pump that has sensor capabilities if they want to keep using MdT sensor
But a lot of us are using Dexcom, which gives us a little more flexibility in which pumps we can use. Shouldn't be too hard to find another pump, though, if you don't want to have two clipped on
Mattyfleck
@Mattyfleck
Aug 29 2016 00:43
@danamlewis thanks for the help. I assume I'll have to look into both of my options... Either get a newer Medtronic pump, or see about switching to a Dexcom. I really want to try and make this thing work, so I won't stop now. Thanks for the motivation, and help.
Dana Lewis
@danamlewis
Aug 29 2016 00:43
:+1:
John Benjamin
@Bender1061
Aug 29 2016 02:43
@jkelleher I currently am using my 530G as my cgm with the enlight. I could use my 722 but if I dont keep my pump real close to the sensor, it would lose contact. So I carry both devices. Its just another thing to carry around, but tue best part of this solution is I dont need internet oor to ise one of the wired devices to my rig to talk to the dex cgm (which you will notice almost every else likes, Ive loved my MM cgm for 8 or so years) so yes its another device ro carry, not having to have a hot spot around you in order to loop is a huge advantage.
John Benjamin
@Bender1061
Aug 29 2016 02:48
Wow are my finger pressing buttons wrong tonight! Sometimes I hate cell phones
Iain
@iainct
Aug 29 2016 03:12
does anyone have advice on how to fix the following errors when i try to sync my iainct/oref -dev with openaps/oref0 -dev
pi@slicapszero:~/src/oref0 $ git commit
On branch dev
Your branch is behind 'read-origin/dev' by 1 commit, and can be fast-forwarded.
  (use "git pull" to update your local branch)
Changes not staged for commit:
    modified:   bin/oref0-reset-git.sh

no changes added to commit
pi@slicapszero:~/src/oref0 $ git pull
Updating 2d6c49c..063d055
error: Your local changes to the following files would be overwritten by merge:
    bin/oref0-reset-git.sh
Please, commit your changes or stash them before you can merge.
Aborting
i am unable to git pull or git commitI have very little experience with git....
Scott Leibrand
@scottleibrand
Aug 29 2016 03:24
Do a git diff to see what you changed locally.
If you want to discard the change, do git checkout -- bin/oref0-reset-git.sh
If you want to keep the change, do git commit -m"description of the change you made"
Iain
@iainct
Aug 29 2016 03:27
it was a change I made temporarily, but the issue was closed openaps/oref0#142
I would like to remove my change when the new merge happens
pi@slicapszero:~/src/oref0 $ git diff
diff --git a/bin/oref0-reset-git.sh b/bin/oref0-reset-git.sh
index c824475..8fdab15 100755
--- a/bin/oref0-reset-git.sh
+++ b/bin/oref0-reset-git.sh
@@ -37,3 +37,4 @@ oref0-fix-git-corruption &
 sleep 15 && killall oref0-fix-git-corruption
 # if git repository is too corrupt to do anything, mv it to /tmp and start over.
 git status > /dev/null || ( mv .git /tmp/.git-`date +%s`; openaps init . )
+git diff > /dev/null || ( mv .git /tmp/.git-`date +%s`; openaps init . )
Iain
@iainct
Aug 29 2016 03:34
I don't know how to get to place where i can manage the conflict that is preventing the merge....
Scott Leibrand
@scottleibrand
Aug 29 2016 03:36
See above.
You have to checkout the file, which will revert, then pull/merge.
Iain
@iainct
Aug 29 2016 03:38
checkout iainct/oref0 or openaps/oref0
or how do i just check a file rather than the whole repo?
Scott Leibrand
@scottleibrand
Aug 29 2016 03:40
Did this not come through? If you want to discard the change, do git checkout
git checkout -- bin/oref0-reset-git.sh
Sorry, mobile app sucks.
Iain
@iainct
Aug 29 2016 03:41
ah the diff has gone, thanks
:-)
diabeticgonewild
@diabeticgonewild
Aug 29 2016 10:38

Yay, haven't been able to read in like a day due to convergence insufficiency for the past day or so. It started out with usual stuff like not being able to distinguish between a "p" AND a "b", and got worse. I do have double vision but I usually don't notice it. Like I only notice it in certain situations...one example where it's obvious is on Amazon. Sometimes I can't tell the difference between 4 or 5 stars or 3.5 or 4.5 stars for overall review rating averages because of it.

I really have a problem, and I'm tired of having to listen to stuff, surprisingly. It's getting to be inefficient.

Brandon Faloona
@bfaloona
Aug 29 2016 15:54
Can someone review/merge this docs PR?
openaps/docs#369 It includes link fixes and some sample json content formatting.
Dana Lewis
@danamlewis
Aug 29 2016 15:59
LGTM, but can you retarget to master? @bfaloona
Also, :clap: for broken link fixing!
Eric Jensen
@elnjensen
Aug 29 2016 16:45
Are there any Pebble watchfaces that show OpenAPS status and that work with the Pebble Time Round? Urchin won't run on the Time Round.
Brandon Faloona
@bfaloona
Aug 29 2016 17:32
@danamlewis You are most welcome... However, most links are not fixed yet.

The dependencies links are still broken on readthedocs.
With and without my changes links are broken here:
http://openaps.readthedocs.io/en/master/reference/openaps/openaps-report-settings-auto-sens.html
(e.g.: monitor/glucose.json link)

However, with and without my changes they work on github. :frowning:
markdown: https://raw.githubusercontent.com/openaps/docs/dev/docs/reference/openaps/openaps-report-settings-auto-sens.md
rendered: https://github.com/openaps/docs/blob/dev/docs/reference/openaps/openaps-report-settings-auto-sens.md

Brandon Faloona
@bfaloona
Aug 29 2016 17:38
@benwest You seemed to understand how readthedocs needed to be handled for relative links. Any idea what I missed?
Dana Lewis
@danamlewis
Aug 29 2016 17:49
@bewest ^
Ben West
@bewest
Aug 29 2016 18:07
it needs to be relative to current location:
./foo.md
notice the leading dot which says "this directory"
Brandon Faloona
@bfaloona
Aug 29 2016 18:08
That's what I have in dev, but it still fails.
It works on github, but not on readthedocs.io
Ben West
@bewest
Aug 29 2016 18:09
./openaps-report-monitor-glucose.md doesn't work?
Ben West
@bewest
Aug 29 2016 18:11
ah I see
I see
there's another plugin that converts things from .md to .html on the links
notice the link rendered is to an .md file, and sphinx produes .html files
the software being used here is called sphinx
if the document is mentioned in the table of contents, the linkification gets fixed, notice how the TOC links have no file extension
Ben West
@bewest
Aug 29 2016 18:16
there's a plugin we're using to import markdown and convert it, as well as one to handle the links
Ben West
@bewest
Aug 29 2016 18:33
for something like this, might consider maintaining an index.rst in restructured text to ensure that the docs are populated into the table of contents correctly, then you'll be able to link to them properly
the link fixing stuff goes into action when the target is a known doc in the table of contents
does that make sense?
C-Ville
@C-Ville
Aug 29 2016 18:38
is the blue tooth tip to use bleno from @diabeticgonewild still the way to go with ubilinux?
Ben West
@bewest
Aug 29 2016 18:39
actually, there's already index.rst with wildcard, hmm
you can run the docs locally using make serve
@C-Ville it's one way to go
Ben West
@bewest
Aug 29 2016 18:45
try it out :-)
Brandon Faloona
@bfaloona
Aug 29 2016 18:46
@bewest I'm installing Sphinx on mac os x. Should I use sudo with pip install -U Sphinx ? It gave me a few warnings about caches being disabled because of permissions.
Ben West
@bewest
Aug 29 2016 18:46
yeah, that sounds good
if you have the docs repo
yeah, if you have the docs repo, you can do pip install -U . I believe
or pip install -r requirements.txt maybe
stackoverflow says pip install -r requirements.txt should work
Brandon Faloona
@bfaloona
Aug 29 2016 18:50
hmm. without sudo gave me errors instead of warnings. I'll proceed with using sudo.
without sudo: OSError: [Errno 13] Permission denied: '/Library/Python/2.7/site-packages/sphinx'
Ben West
@bewest
Aug 29 2016 18:51
yeah, this one needs sudo
Brandon Faloona
@bfaloona
Aug 29 2016 18:53
oh boy! permissions. After installing pip with sudo, and running pip install -r requirements.txtI got:
error: could not create '/Library/Python/2.7/site-packages/CommonMark': Permission denied
use sudo for the requirements.txt install too?
Brandon Faloona
@bfaloona
Aug 29 2016 18:59
Using sudo worked, but now I get this:
baldwin:docs brandon$ make serve

make clean build html
rm -rf build/*
make[1]: *** No rule to make target `build'.  Stop.
make: *** [serve] Error 2
Ben West
@bewest
Aug 29 2016 19:18
mkdir build
Brandon Faloona
@bfaloona
Aug 29 2016 19:27
Success!
Eric Jensen
@elnjensen
Aug 29 2016 19:49
@bfaloona I like Anaconda Python distro on Mac OS X - does a local install so you don't have to worry about permissions, or mucking up the system Python. (I also like it for all the extra analysis packages, eg numpy etc., but even for other stuff package management is a lot easier.).
And thanks for all your work on the docs!
Looks like Sphinx is installed by default in Anaconda - which points out one feature, which is that it's a big distro with lots of packages. Could be good or bad depending on your needs (and space).
Brandon Faloona
@bfaloona
Aug 29 2016 20:20
Thanks @elnjensen . Python and I are getting better aquatinted all them time!

@bewest many of the index.rst files (e.g. openaps) begin with the following directive. Do you know at it is? The current directory is openaps could this be on old directory name? Removing it entirely does not solve the issue.
.. _openaps-tools:

Even when I include the explicit name in the rst, the links to those documents are still broken:

.. _openaps-tools:

openaps
=======
.. toctree::
   :glob:
   :titlesonly:

   openaps-report-settings-auto-sens
   openaps-report-monitor-glucose
   *
... off to google some more ...
Brandon Faloona
@bfaloona
Aug 29 2016 21:04
Seems like something else is going on here. The directives in master ARE putting the files into the TOC, but the links are still not working. How can I ensure the proper plugins are executed when I build locally? What are those two plugins called?
@bewest ^
MitchDex
@MitchDex
Aug 29 2016 21:15
Today is the day my son started wearing the medtronic pump. So today we don't have programming questions but rather pump questions. Since Dx he has always used the Animus ping. 1) do you absolutley need a quickserter in order to place a quick set? Or can you Macgyver it?? (we really cant stand to watch another you tube!) 2) what is the best insulin site to use with a medtronic pump and are they all interchangeable/compatible with the same reservoir and is there only one reservoir available? 3) how do you guys purchase your sites/tubing/reservoirs and is it covered by your Insurance?
Jason Calabrese
@jasoncalabrese
Aug 29 2016 21:20
We're using the Mio, and after some trial and error are pretty happy with it, we get supplies via Byram covered by insurance, since we couldn't go through medtronic
what sites did you use with the animas? the clips are compatible between many sets even if the connection to the cartridge is different
MitchDex
@MitchDex
Aug 29 2016 21:33
we used the inset 30 by Unomedical with the ping. That would be great if we could continue to use them. The end of the animus tubing doesnt have threads though.... how would i get it to connect? Or does the animus cartridge fit in the medtronic???
Jason Calabrese
@jasoncalabrese
Aug 29 2016 21:35
at 1 point we used the inset-30s and tubing from a silhouette, the cartridge and tubing needs to be paradigm, but the clip on the end worked
MitchDex
@MitchDex
Aug 29 2016 21:36
I have some quickset and mios that were given to us and we ended up using the mio set since we didnt have a quickserter. Both medtronic sets are quite cumbersome compared to the animus one he's used to. And not sure how to discard the sharps on the mio
Jason Calabrese
@jasoncalabrese
Aug 29 2016 21:37
everyone is different, but we've found that the pump sites look much better after a the Mio(90 degree) compared to the inset-30, heal faster, and last a little longer
took a while to figure out the Mio, if you play with a used one and try squeezing the side with the lines when pulling the center section you can get an idea of how to do it smoothly
I pull the needle out with a plyers and recycle the rest
we also started using skintac with mio to prevent pulling off the site after insertion
MitchDex
@MitchDex
Aug 29 2016 21:44
thats good to know about the inset30's matching up to the different tubing... ill keep that in mind. He just went and played basketball after inserting and said the site started to peel off already - which he rarely had issues with the inset 30's. Its just the first day so growing pains I guess. I cant wait to run the suggest json report!!! I almost got my plyers out LOL!! But I deconstructed the white "inside" that holds the needle and then inverted a laundry bottle lid and started a sharps container - geez.. havent had to do that since he was on MDI for a month or two after Dx before he got on the pump. I'll get my plyers out next time :) Did you have to get a Rx from the Endo submitted to Bryam for the supplies... or did you just call up and place and order and give Ins info?
MitchDex
@MitchDex
Aug 29 2016 21:53
we will try skintac and/or skinprep wipes next time - thanks! maybe that will help with adhesion during sports and sweating . Do you know anything about the quickserter? can you insert the quickset without it??
Brandon Faloona
@bfaloona
Aug 29 2016 22:09
Is this the markdown to sphinx extension that is used by the docs repository to support markdown links when being rendered via sphinx (on readthedocs.io)?
https://github.com/ericholscher/sphinx-markdown-transform
^ @bewest @scottleibrand
Scott Leibrand
@scottleibrand
Aug 29 2016 22:46
I don't know about that part of RTD.
Ben West
@bewest
Aug 29 2016 22:48
that requirements file sets it up with conf/setup.py
Brandon Faloona
@bfaloona
Aug 29 2016 22:50
I'm editing that file locally right now, but no luck so far.
I'm trying to fix other doc/toc errors, in hopes that will help.
Brandon Faloona
@bfaloona
Aug 29 2016 22:53
Odd that it points to readthedocs.org instead of .io
Makes me think that code is not in use.
Can anyone point me to the file that might be generating this error (happens during docs build)?
/Library/Python/2.7/site-packages/openaps/vendors/medtronic.py:docstring of openaps.vendors.medtronic.bolus:8: SEVERE: Unexpected section title or transition.
Ben West
@bewest
Aug 29 2016 23:13
it's not uesd
the conf.py is used, but rtd has several domains available that redirect
that means the docstring in the openaps.vendors.medtronic.bolus class on line 8 has invalid RST (restructured text)
Brandon Faloona
@bfaloona
Aug 29 2016 23:15

@all I'm looking for early feedback on this rough doc.

https://github.com/bfaloona/openaps-lp/wiki/OpenAPS-Operation-Notes

I'm not sure if the format should be a form that get filled out, a freeform doc with descriptions but little formatting, or perhaps an index linking to actual docs (with personal information remvoed.)

Dana Lewis
@danamlewis
Aug 29 2016 23:18
@bfaloona just boarded a plane, so please give a few days for feedback :)
But :+1: great staty
Brandon Faloona
@bfaloona
Aug 29 2016 23:19
Great!
@bewest So, deleting this row of dashes would remove that Unexpected section title or transition
https://github.com/openaps/openaps/blob/master/openaps/vendors/medtronic.py#L535
@bewest ^^ you said it's not used. So, do we want it to be used? So the extension fixes the urls?
Off to a soccer game!
garykidd
@garykidd
Aug 29 2016 23:35
is this still best way to install dev version[s]??? curl -s https://raw.githubusercontent.com/openaps/docs/master/scripts/quick-src.sh | bash -
Brandon Faloona
@bfaloona
Aug 29 2016 23:37
That would install from source, master branch.
This (I think) is the proper way to install from source, dev branch.
sudo pip install -U git+git://github.com/openaps/openaps.git@dev
I think @bewest said that pip and easy_install are two distinct paths, and you should not mix them.
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:45
@C-Ville bleno worked for me in tests.
Ben West
@bewest
Aug 29 2016 23:46
correct, or doing something like:
Example:
-------------
so it becomes a title
or ignoring it
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:47
But likely am going to do Ubilinux with Yocto kernel grafted into it. That sounds like the most solid option out there. It even potentially allows you to do a backup of the Edison. How well it works and if it would even work in our situations, I don't know.
Ben West
@bewest
Aug 29 2016 23:47
ubilinux is debian with the yocto kernel grafted in
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:47
And what I mean with it working is both the backup AND con man
Damnit!
Ben West
@bewest
Aug 29 2016 23:48
yocto is the reference implementation :-)
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:48
Thanks @bewest
Ben West
@bewest
Aug 29 2016 23:48
it should work well, that's how to do it
if you can get good at running bitbake, you'll be producing custom distro in no time
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:48
But I think you can actually do a custom
With the actually like Poky stuff with Ubilinux
garykidd
@garykidd
Aug 29 2016 23:50
This message was deleted
~~~~~
This message was deleted
This message was deleted
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:54
Do you think I am being evil??
Like honestly I'm annoyed by the T1D social media going around about how "expensive" their care is.
Pretty much EVERYONE with a chronic illness experience it, some a lot worse than others.
2 I can think of: 1. cancer (new chemotherapies, gene therapies, and more) 2. Rare diseases (orphan drugs)
Dana Lewis
@danamlewis
Aug 29 2016 23:57
Wrong channel?
diabeticgonewild
@diabeticgonewild
Aug 29 2016 23:58
Nope. Point we should all be banding together. It's everyone's problem.
I'm sick of seeing things like this: https://imgur.com/a/RDI10